Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade

Bug #565543 reported by Vladimir Hidalgo on 2010-04-17
490
This bug affects 85 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
Ubuntu Netbook Remix
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a PS2 mouse ..

This is seen in sony vaio E series.

---
Architecture: i386
DistroRelease: Ubuntu 11.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=es_SV:es_SV.UTF-8:es:en_GB:en
 LANG=es_SV.UTF-8
 SHELL=/bin/bash
Tags: unity-2d natty
Uname: Linux 3.0.0-0300rc7-generic i686
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: Upgraded to natty on 2011-07-05 (26 days ago)
UserGroups: adm admin audio cdrom fuse lpadmin netdev plugdev sambashare vboxusers video
---
Architecture: i386
DistroRelease: Ubuntu 11.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=es_SV:es_SV.UTF-8:es:en_GB:en
 LANG=es_SV.UTF-8
 SHELL=/bin/bash
Tags: unity-2d natty
Uname: Linux 3.0.0-0300rc7-generic i686
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: Upgraded to natty on 2011-07-05 (26 days ago)
UserGroups: adm admin audio cdrom fuse lpadmin netdev plugdev sambashare vboxusers video

Vladimir Hidalgo (vlad88sv) wrote :

cat /var/log/Xorg.0.log

(II) config/udev: Adding input device AlpsPS/2 ALPS GlidePoint (/dev/input/event11)
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "evdev pointer catchall"
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "evdev touchpad catchall"
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "touchpad catchall"
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
 compiled for 1.7.6, module version = 1.2.2
 Module class: X.Org XInput Driver
 ABI class: X.Org XInput driver, version 7.0
(II) Synaptics touchpad driver version 1.2.2
(**) Option "Device" "/dev/input/event11"
(II) AlpsPS/2 ALPS GlidePoint: x-axis range 0 - 1023
(II) AlpsPS/2 ALPS GlidePoint: y-axis range 0 - 767
(II) AlpsPS/2 ALPS GlidePoint: pressure range 0 - 127
(II) AlpsPS/2 ALPS GlidePoint: finger width range 0 - 0
(II) AlpsPS/2 ALPS GlidePoint: buttons: left right middle
(--) AlpsPS/2 ALPS GlidePoint: touchpad found
(**) AlpsPS/2 ALPS GlidePoint: always reports core events
(II) XINPUT: Adding extended input device "AlpsPS/2 ALPS GlidePoint" (type: TOUCHPAD)
(**) AlpsPS/2 ALPS GlidePoint: (accel) keeping acceleration scheme 1
(**) AlpsPS/2 ALPS GlidePoint: (accel) acceleration profile 0
(**) AlpsPS/2 ALPS GlidePoint: (accel) acceleration factor: 2.000
(**) AlpsPS/2 ALPS GlidePoint: (accel) acceleration threshold: 4
(--) AlpsPS/2 ALPS GlidePoint: touchpad found
(II) config/udev: Adding input device AlpsPS/2 ALPS GlidePoint (/dev/input/mouse5)
(II) No input driver/identifier specified (ignoring)

Vladimir Hidalgo (vlad88sv) wrote :

I activated scrollbar in Preferences -> Mouse -> Touchpad but it's not working.

I've seen the options HorizEdgeScroll and VertEdgeScroll in Xorg.conf's man page, but Lucid does not come with a default xorg.conf and I'm not willing to create one for this.

Brian O'Connor (gatzby3jr) wrote :

I'm experiencing the same problem on my hp pavilion dm3z

From my Xorg.0.log:

(II) config/udev: Adding input device AlpsPS/2 ALPS GlidePoint (/dev/input/event
10)
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "evdev pointer catchall"
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "evdev touchpad catchall"
(**) AlpsPS/2 ALPS GlidePoint: Applying InputClass "touchpad catchall"
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
        compiled for 1.7.6, module version = 1.2.2
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 7.0
(II) Synaptics touchpad driver version 1.2.2
(**) Option "Device" "/dev/input/event10"
(II) AlpsPS/2 ALPS GlidePoint: x-axis range 0 - 1023
(II) AlpsPS/2 ALPS GlidePoint: y-axis range 0 - 767
(II) AlpsPS/2 ALPS GlidePoint: pressure range 0 - 127
(II) AlpsPS/2 ALPS GlidePoint: finger width range 0 - 0
(II) AlpsPS/2 ALPS GlidePoint: buttons: left right middle
(--) AlpsPS/2 ALPS GlidePoint: touchpad found
(**) AlpsPS/2 ALPS GlidePoint: always reports core events
(II) XINPUT: Adding extended input device "AlpsPS/2 ALPS GlidePoint" (type: TOUCHPAD)
(**) AlpsPS/2 ALPS GlidePoint: (accel) keeping acceleration scheme 1
(**) AlpsPS/2 ALPS GlidePoint: (accel) acceleration profile 0
(**) AlpsPS/2 ALPS GlidePoint: (accel) acceleration factor: 2.000
(**) AlpsPS/2 ALPS GlidePoint: (accel) acceleration threshold: 4
(--) AlpsPS/2 ALPS GlidePoint: touchpad found
(II) config/udev: Adding input device AlpsPS/2 ALPS GlidePoint (/dev/input/mouse2)
(II) No input driver/identifier specified (ignoring)

I've enabled it in gnome-mouse-settings, and I've disabled tap-to-click, which does nothing (it still clicks).

Just wanted to confirm the problem exists with the Sony Vaio E series. I have a VPCEB11FM and it lacking the vertical or horizontal scroll. I did not try to create the xorg.conf in Lucid because I am unsure if I have to include configuration for all devices, or if its ok to only put the synaptics configution.

I can confirm Windows 7 vertical scrolling works. I did not test horizontal scrolling.

Vladimir Hidalgo (vlad88sv) wrote :

VAIO E series' ALPS touchpads seems to be true multitouch also.

In Windows 7 you can zoom (tested in chrome) putting two fingers in the middle of the touchpad, then expanding them until you reach the edges.

Vladimir Hidalgo (vlad88sv) wrote :

 sudo tpconfig --info
Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).
Sensor type: unknown (0).
Geometry: rectangular/landscape/up.
Packets: absolute, 80 packets per second.
Corner taps disabled; no tap gestures.
Edge motion: none.
Z threshold: 6 of 7.
2 button mode; corner tap is right button click.

mrphd (andrubuntu) wrote :

I have same problem on Vaio VPCEB1Z0E

Hi ! Same here with a HP mini 311c.

IndyCore (jan-kjerbye) wrote :

Same problem on Dell 6410 ATG

Alps Toucpad, no edge or two finger scrolling, although it works fine in Win 7

Vladimir Hidalgo (vlad88sv) wrote :

This is solved with Kernel 2.6.34 by default.

More info:
http://ubuntuforums.org/showpost.php?p=9329402&postcount=3

Segitz (flacht82) wrote :

That is not a fix, though...

The recent kernel/module update for 10.4 (I think from the proposed packages) just makes it so that it is detected as either a PS2 mouse or a Macintosh mouse. Not as an Alps anymore, which kills off all of the better features it offers (the Vaio EB series supports multitouch in windows, for example).

Vladimir Hidalgo (vlad88sv) wrote :

With xorg-edger's lastest packages of Xorg things get worse, as even 3rd button emulation is lost.

$ cat /var/log/Xorg.0.log | grep -i mouse
[ 26.144] (==) intel(0): Silken mouse enabled
[ 27.028] (II) config/udev: Adding input device ImPS/2 Generic Wheel Mouse (/dev/input/event6)
[ 27.028] (**) ImPS/2 Generic Wheel Mouse: Applying InputClass "evdev pointer catchall"
[ 27.029] (**) ImPS/2 Generic Wheel Mouse: always reports core events
[ 27.029] (**) ImPS/2 Generic Wheel Mouse: Device: "/dev/input/event6"
[ 27.044] (--) ImPS/2 Generic Wheel Mouse: Found 3 mouse buttons
[ 27.044] (--) ImPS/2 Generic Wheel Mouse: Found scroll wheel(s)
[ 27.044] (--) ImPS/2 Generic Wheel Mouse: Found relative axes
[ 27.044] (--) ImPS/2 Generic Wheel Mouse: Found x and y relative axes
[ 27.044] (II) ImPS/2 Generic Wheel Mouse: Configuring as mouse
[ 27.044] (**) ImPS/2 Generic Wheel Mouse: YAxisMapping: buttons 4 and 5
[ 27.044] (**) ImPS/2 Generic Wheel Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 27.044] (II) XINPUT: Adding extended input device "ImPS/2 Generic Wheel Mouse" (type: MOUSE)
[ 27.044] (**) ImPS/2 Generic Wheel Mouse: (accel) keeping acceleration scheme 1
[ 27.044] (**) ImPS/2 Generic Wheel Mouse: (accel) acceleration profile 0
[ 27.044] (**) ImPS/2 Generic Wheel Mouse: (accel) acceleration factor: 2.000
[ 27.044] (**) ImPS/2 Generic Wheel Mouse: (accel) acceleration threshold: 4
[ 27.044] (II) ImPS/2 Generic Wheel Mouse: initialized for relative axes.
[ 27.044] (II) config/udev: Adding input device ImPS/2 Generic Wheel Mouse (/dev/input/mouse1)
[ 27.048] (II) config/udev: Adding input device Sony Vaio Jogdial (/dev/input/mouse0)

It detected a Jogdial even my laptop does have one!, ALPS seems to be gone :'(

Gursimran singh (simar) wrote :

Hi bug reporters
First of all Ubuntu BugSquad thankyou to report the bug and help ubuntu to get more close to a bug free OS. I think the situation can be better understood by the developers if you could include the output of xev program by typing in bash

xev >~/xev.txt
while trying to perform horizontal, vertical scroll in the window area that appears in the bottom left area of your screen after the command. After this avoid unnecessary moving your touchpad in the window area as this will create unnecessary noise in the xev.txt file. After you are done with this close the window with Alt+F4 as this will not be captured as a event there.Then you can upload the file xev.txt here so we can see if the information that it encloses if necessary for forwarding this bug upstream or not.

Vladimir Hidalgo (vlad88sv) wrote :

First tried vertical scrolling and then horizontal scrolling.

Horizontal is the problem because the pointer gets out xev's windows.

BTW; xev window was created at right-bottom corner.

Gursimran singh (simar) wrote :

It means that you are able to scroll vertically but not horizontly??

Yes, it looks like I'm unable to horizontal scroll.

This is the output of
$ cat /var/log/Xorg.0.log | grep -i mouse

PS: it's the same with lastest xorg* updates from Lucid and with
packages from xorg-edgers PPA

--
27.761] (II) config/udev: Adding input device ImPS/2 Generic Wheel Mouse
(/dev/input/event6)
[ 27.761] (**) ImPS/2 Generic Wheel Mouse: Applying InputClass "evdev
pointer catchall"
[ 27.761] (**) ImPS/2 Generic Wheel Mouse: always reports core events
[ 27.761] (**) ImPS/2 Generic Wheel Mouse: Device: "/dev/input/event6"
[ 27.780] (--) ImPS/2 Generic Wheel Mouse: Found 3 mouse buttons
[ 27.780] (--) ImPS/2 Generic Wheel Mouse: Found scroll wheel(s)
[ 27.780] (--) ImPS/2 Generic Wheel Mouse: Found relative axes
[ 27.780] (--) ImPS/2 Generic Wheel Mouse: Found x and y relative axes
[ 27.780] (II) ImPS/2 Generic Wheel Mouse: Configuring as mouse
[ 27.780] (**) ImPS/2 Generic Wheel Mouse: YAxisMapping: buttons 4 and 5
[ 27.780] (**) ImPS/2 Generic Wheel Mouse: EmulateWheelButton: 4,
EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 27.780] (II) XINPUT: Adding extended input device "ImPS/2 Generic
Wheel Mouse" (type: MOUSE)
[ 27.780] (**) ImPS/2 Generic Wheel Mouse: (accel) keeping
acceleration scheme 1
[ 27.781] (**) ImPS/2 Generic Wheel Mouse: (accel) acceleration profile 0
[ 27.781] (**) ImPS/2 Generic Wheel Mouse: (accel) acceleration
factor: 2.000
[ 27.781] (**) ImPS/2 Generic Wheel Mouse: (accel) acceleration
threshold: 4
[ 27.781] (II) ImPS/2 Generic Wheel Mouse: initialized for relative axes.
[ 27.781] (II) config/udev: Adding input device ImPS/2 Generic Wheel
Mouse (/dev/input/mouse1)
[ 27.784] (II) config/udev: Adding input device Sony Vaio Jogdial
(/dev/input/mouse0)

Gursimran singh (simar) on 2010-06-30
summary: - vertical/horizontal scrollbar in VAIO's touchpad does not work
+ horizontal scrollbar does not work in VAIO VPCEB15EL touchpad.

Vladimir It appears that you don't have the package xserver-xorg-input-synaptics installed in your linux.

To serve you better I have a few questions. Have you got a synaptics touchpad or a ALPS touchpad.
Does synaptics drivers work with alps touchpad? I mean have you got your touchpad worked ever with synaptics drivers?

Vladimir also try this and upload the results..
cat /var/log/Xorg.0.log | grep TouchPad (mind the caps)
cat /var/log/Xorg.0.log | grep Synaptics

Gursimran singh (simar) wrote :

For finding out you touchpad, you may use windows 7 device manager where it works fine.

Segitz (flacht82) wrote :

I have the same problem too... ever since some recent update, the touchpad is detected as a PS2 mouse. But that made the scrolling work.

The Sony Vaio E series has an ALPS touchpad, as it was detected as such with the original 10.4 installation.

Gursimran singh (simar) wrote :

It appears that the bug is now not linked to xserver-xorg-inout-syanptics as the driver no longer provides support to ALPS touchpad so the affects package should be changed ......

Vladimir Hidalgo (vlad88sv) wrote :

simar, thank you for your attention into this problem.

As Segitz stated, VAIO E series area ALPS (multitouch) touchpad.

I think original summary was ok because default 10.04 installation detect it as AlpS and neither vertical/horizontal scrollbar works.

In a effort to make both work, I blindy updated my kernel to 2.6.34, which made vertical scrollbar work, later to 2.6.35-rc3 but nothing else changed.

Then I upgraded Xorg with xorg-edgers's ppa, wich I might say, worsen the situation as I lost the ability to simulate 3rd button click (mouse wheel click / middle button click).

I already had installed xserver-xorg-input-synaptics when doing the xev's test.

$ cat /var/log/Xorg.0.log | grep -i TouchPad
<nothing>

$ cat /var/log/Xorg.0.log | grep -i Synaptics
<nothing>

I had a optical mouse connected last time, so a new grep -i mouse:

$ cat /var/log/Xorg.0.log | grep mouse
$ cat /var/log/Xorg.0.log | grep -i -n1 mouse
335-[ 26.360] (==) intel(0): Backing store disabled
336:[ 26.360] (==) intel(0): Silken mouse enabled
337-[ 26.377] (II) intel(0): Initializing HW Cursor
--
433-[ 28.784] (**) Option "xkb_options" "grp:alts_toggle"
434:[ 28.784] (II) config/udev: Adding input device ImPS/2 Generic Wheel Mouse (/dev/input/event6)
435:[ 28.784] (**) ImPS/2 Generic Wheel Mouse: Applying InputClass "evdev pointer catchall"
436:[ 28.784] (**) ImPS/2 Generic Wheel Mouse: always reports core events
437:[ 28.784] (**) ImPS/2 Generic Wheel Mouse: Device: "/dev/input/event6"
438:[ 28.800] (--) ImPS/2 Generic Wheel Mouse: Found 3 mouse buttons
439:[ 28.800] (--) ImPS/2 Generic Wheel Mouse: Found scroll wheel(s)
440:[ 28.800] (--) ImPS/2 Generic Wheel Mouse: Found relative axes
441:[ 28.800] (--) ImPS/2 Generic Wheel Mouse: Found x and y relative axes
442:[ 28.800] (II) ImPS/2 Generic Wheel Mouse: Configuring as mouse
443:[ 28.800] (**) ImPS/2 Generic Wheel Mouse: YAxisMapping: buttons 4 and 5
444:[ 28.800] (**) ImPS/2 Generic Wheel Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
445:[ 28.800] (II) XINPUT: Adding extended input device "ImPS/2 Generic Wheel Mouse" (type: MOUSE)
446:[ 28.800] (**) ImPS/2 Generic Wheel Mouse: (accel) keeping acceleration scheme 1
447:[ 28.800] (**) ImPS/2 Generic Wheel Mouse: (accel) acceleration profile 0
448:[ 28.800] (**) ImPS/2 Generic Wheel Mouse: (accel) acceleration factor: 2.000
449:[ 28.800] (**) ImPS/2 Generic Wheel Mouse: (accel) acceleration threshold: 4
450:[ 28.800] (II) ImPS/2 Generic Wheel Mouse: initialized for relative axes.
451:[ 28.800] (II) config/udev: Adding input device ImPS/2 Generic Wheel Mouse (/dev/input/mouse1)
452-[ 28.800] (II) No input driver/identifier specified (ignoring)
--
454-[ 28.804] (II) No input driver/identifier specified (ignoring)
455:[ 28.804] (II) config/udev: Adding input device Sony Vaio Jogdial (/dev/input/mouse0)
456-[ 28.804] (II) No input driver/identifier specified (ignoring)

That's how my xorg is actually detecting (2) mouse in my system.

It calls my attention the "Vaio Jogdial". I think my laptop does not physically have one.

Gursimran singh (simar) wrote :

Please excuse me for delayed response vladimir. This is a mail to justify that I'm still considering the status of this bug.
It appears that while you have xserver-xorg-input-synaptics installed this is not really loaded and is not controlling your touchpad .

Gursimran singh (simar) wrote :

Thanks Vladimir for keeping patience and giving us time for sorting out issues. Delayed response is deeply regretted. However your bug is very near to be triaged, ony one last thing that you please include output of following commands in separate comments..

1. cat /proc/bus/input/devices >devices.txt
2. lspci -vv >lspci,txt

Thanks in advance for helping us to make ubutnu better...

Gursimran singh (simar) wrote :

Another thing is that the bug is in the kernel instead and not located in xserver-xorg-input-synaptics. So i'm changing the affects package..

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Confirmed
affects: xserver-xorg-input-synaptics (Ubuntu) → linux (Ubuntu)
summary: - horizontal scrollbar does not work in VAIO VPCEB15EL touchpad.
+ Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series)
+ after the kernel upgrade
Gursimran singh (simar) on 2010-07-06
description: updated
Vladimir Hidalgo (vlad88sv) wrote :

Requested file.

Vladimir Hidalgo (vlad88sv) wrote :

Requested file.

Vladimir Hidalgo (vlad88sv) wrote :

Thank you for your time and effort on this bug, Gursimran singh Mohar.

Gursimran singh (simar) wrote :

Well you are always welcome Vladimir Hidalgo reather you are encouraged to file more bugs so that our aim to make ubuntu reach as many people as possible and support a varity of hardware is possible.. I have maked your bug as triaged soon someone (developers) will look to your bug and hopefully this will be ok in the next kernel release ..

Chris Halse Rogers (raof) wrote :

I'm not sure why this bug has been assigned to the kernel. What has made people think that this is a kernel problem, rather than a problem in the synaptics driver?

Also, although snippets of /var/log/Xorg.0.log have been posted, it's really much more useful to have the entire log attached - from the logs, it looks like the synaptics driver is correctly binding to the alps touchpad, and is setting up various input properties. Could you please attach the full /var/log/Xorg.0.log Vladimir?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Gursimran singh (simar) wrote :

From the devices file that vladimir uploaded

I: Bus=0011 Vendor=0002 Product=0005 Version=0000
N: Name="ImPS/2 Generic Wheel Mouse"
P: Phys=isa0060/serio2/input0
S: Sysfs=/devices/platform/i8042/serio2/input/input6
U: Uniq=
H: Handlers=mouse1 event6
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103

Sorry for any error committted by me as I'm a new triager. Please excuse me for such things . This is what kernel reports about the pointing input device that are connected to the computer Now as the kernel is not detecting right, I think the bug is in the kernel instead.

Chris Halse Rogers (raof) wrote :

It looks like this bug has changed over time; the touchpad does indeed seem to be being misdetected by the kernel now - it wasn't in the initial report, which was being correctly picked up by the synaptics X input driver.

That means that this will actually be two separate bugs. Let's first deal with the kernel one, which will be masking what appears to be a second one in the synaptics driver.

The device started to be identified as a Generic Wheel Mouse after an update - could anyone identify which update it was? That will make it much easier to work out what's happened. If you go to the Ubuntu Software Centre you should be able to select “History” and get a list of when all the upgrades were.

Changed in linux (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Vladimir Hidalgo (vlad88sv) wrote :

On my first report I was using latest Lucid Lynx Alpha available at 2010-04-17.

That was the default kernel (2.6.32) and was detected as "AlpsPS/2 ALPS GlidePoint", at this point neither horizontal or vertical scroll worked.

Then in 2010-05-19 I updated to Kernel 2.6.34 from PPA Kernel Mainline, vertical scrollbar started to work but mouse were detected as Generic Wheel Mouse.

Later I upgrade Xserver/Xorg using ~xorg-edgers PPA but things actually got worse, as now I can't longer do simulated middle click by pressing simultaneously left and right click buttons.

I tried 2.6.35 RC3 but nothing changed, yesterday I tried 2.6.35 RC4 and surprise! keyboard/touchpad stop from working at all.

It's like support for ALPS is actually getting worse :P

skar (skar-karthikeyan) wrote :

I too have a VAIO E series laptop.

 xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ Macintosh mouse button emulation id=12 [slave pointer (2)]
⎜ ↳ ImPS/2 Generic Wheel Mouse id=11 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Video Bus id=6 [slave keyboard (3)]
    ↳ Sony Vaio Keys id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ USB 2.0 Camera id=9 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=10 [slave keyboard (3)]

/proc/bus/input/devices has:

I: Bus=0011 Vendor=0002 Product=0005 Version=0000
N: Name="ImPS/2 Generic Wheel Mouse"
P: Phys=isa0060/serio2/input0
S: Sysfs=/devices/platform/i8042/serio2/input/input7
U: Uniq=
H: Handlers=mouse2 event7
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=103

I'm on Lucid amd64 2.6.32-23-generic #37-Ubuntu SMP Fri Jun 11 08:03:28 UTC 2010 x86_64 GNU/Linux.

Hope this gets fixed soon. This laptop is 3-4 months old and this problem is still bugging me :)

Sound used to be a problem too, but manually compiling latest alsa 1.0.23 fixed it.

Vladimir Hidalgo (vlad88sv) wrote :

Data supplied

Changed in linux (Ubuntu):
status: Incomplete → New
Sense Egbert Hofstede (sense) wrote :

Please don't change the status to New when the data is provided. In that case the bug either remains Incomplete, or goes to Confirmed or Triaged, depending on the decision the bug triager makes.

Changed in linux (Ubuntu):
status: New → Incomplete
Gursimran singh (simar) wrote :

Hi Chris
          I think the bug reporters have submitted what you intended. As you were not subscribed to the bug report (probably you forget to subscribe), I have subscribed you. You may wish to continue your work on this bug report.

Gursimran singh (simar) wrote :

This is another person waiting for fix of this bug eagerly. He has mailed me.

Jefferson Carvalho to me

Hi Simar, my name is Jefferson and I read at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/553370 that you are having problems with the alps touchpad and ubuntu. Well, I own a vaio vpceb13eb too and my touchpad is recognized as ps2 mouse. I tried updating my kernel with no results. I Would like to know if you found any solution that you can share.

Thanks for any help. bye.

Gursimran singh (simar) on 2010-08-07
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Vladimir Hidalgo (vlad88sv) wrote :

By the way, could it be a bug in udev?.

Kernel 2.6.32
(II) config/udev: Adding input device AlpsPS/2 ALPS GlidePoint (/dev/input/event11)

Kernel 2.6.34 - 2.6.35RC6
(II) config/udev: Adding input device ImPS/2 Generic Wheel Mouse (/dev/input/event6)

Seems like it's picking another "input/event"?

Doing:
cat /var/log/Xorg.0.log | grep -i event11

Outputs nothing, like if original input/event11 were gone.

I have the same issue; hp mini311-1000. The OS (Ubuntu 10.04.1, latest kernel patches as of 2010.08.01) thinks my touchpad is a PS/2 mouse. It's devilishly hard to type on it as a result.

xinput --list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ ImPS/2 Generic Wheel Mouse id=12 [slave pointer (2)]
⎜ ↳ Macintosh mouse button emulation id=13 [slave pointer (2)]

cat /proc/bus/input/devices
...
I: Bus=0011 Vendor=0002 Product=0005 Version=0000
N: Name="ImPS/2 Generic Wheel Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input6
U: Uniq=
H: Handlers=mouse1 event6
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
...

Attachment for xorg.log attached. Hope this helps, so I do.

B: REL=103

--ckr

By the bye, it seems as though the OS never loaded the Synaptics drivers at all. No indication that they're present.

root@tiger:/home/ckr# cat /var/log/Xorg.0.log | grep -i synaptics
root@tiger:/home/ckr#

As can be seen.

On the GUI, there is no "touchpad tab" available. No touchpad utilities will start or load because the drivers are not present. HAL, or its replacement, simply does not "see" a touchpad.

--ckr

Yeah, thanks. This is not precisely the issue. No syn driver load is the
issue here.

On 11 August 2010 22:40, Vladimir Hidalgo <email address hidden> wrote:

> ** This bug is no longer a duplicate of bug 550625
> Alps touchpad is recognized but synaptics clients and scrolling do not
> work
>
> --
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series)
> after the kernel upgrade
> https://bugs.launchpad.net/bugs/565543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not support
> horizontal and vertical support but after the kernel upgrade to 10.04
> vertical scroll is working but horizontal scroll is not working. And the
> kernel is not detecting the ALPS touchpad and the cat
> /proc/bus/input/devices says it is a PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

--
ckr
<email address hidden>
<email address hidden>
@home at the Functional Ruin

Nawwar Kabbani (nawwar) wrote :

Excuse me, I'm confused. Isn't the issue here that Alps touchpad is (incorrectly) detected as a generic ImPS/2 mouse by the kernel? (As stated by the summary) In this sense, isn't this the same as bug #550625 ?

My impression is that some people here think it's a bug in synaptics xorg driver. What makes you think so? I'm not trying to challenge anybody, I'd just like to get some clarification.

Thanks.

Gursimran singh (simar) wrote :

Hi Nawwar Kabbani,

Even if the bug is a duplicate, we should not mark the as duplicate as this is the new kernel bug squad policy. So please don't mark any 'linux' bugs as duplicate.

ndde (jannis-upb) wrote :

I am having the same problem on a latitude xt running karmic. The Touchpad is detected as "PS/2 Generic Mouse". In addtion there is some input device called "Macintosh mouse button emulation" recognized. See attachment xinput.txt.

ndde (jannis-upb) wrote :

Hello again,

under jaunty with kernel 2.6.30-8-generic the touchpad got detected correctly. (Karmic runs with kernel 2.6.31-22)

As a data point, I also have the "Macintosh mouse button emulation" recognised.

Does kernel 2.6.30-8 still use HAL? Perhaps the difference lies there.

--ckr

Hi. I'd like to clarify one thing. The "Macintosh mouse button
emulation" driver is loaded and recognized on all hardware whether you
have it or not. It's a generic driver.

Can someone confirm that what @ndde says is true? Meaning, does the
2.6.30-8-generic kernel detect the touchpad as ALPS and further more,
does it work correctly and can the Gnome Touchpad Configuration
utility set up the touchpad (scrolling areas, tap to click, that sort
of stuff).

And yes, anything before 2.6.32 still uses HAL. HAL was removed in
Lucid Lynx, so whatever kernel Lucid came out with, that isn't using
HAL anymore, it's using DeviceKit.

That leads me to believe that DeviceKit scripts aren't detecting the
touchpad correctly. The drivers are there, it's just not loaded.
So, now someone needs to hack DeviceKit on Lucid to load the
appropriate driver. Which driver? Dunno, check what Jaunty is loading
(thank you VirtualBox).

I myself don't have time to test this because I came up with this idea
a moment ago and I'm at work all day.

Good luck.

BTW, I have a Sony Vaio VPC-EB1S1E White Model (Ie. /Wi.EE9) which
most likely has an ALPS touchpad (all the symptoms are there).

On Mon, Aug 16, 2010 at 3:43 PM, Corey O'Seachnasaigh
<email address hidden> wrote:
> As a data point, I also have the "Macintosh mouse button emulation"
> recognised.
>
> Does kernel 2.6.30-8 still use HAL? Perhaps the difference lies there.
>
> --ckr
>
> --
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
> https://bugs.launchpad.net/bugs/565543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

Gursimran singh (simar) on 2010-08-17
Changed in linux (Ubuntu):
status: Incomplete → Triaged

Call me stupid, but why does this bug's status change this often?

PS - Anyone tried my suggestions yet?

On Tue, Aug 17, 2010 at 10:25 PM, Gursimran singh Mohar
<email address hidden> wrote:
> ** Changed in: linux (Ubuntu)
>       Status: Incomplete => Triaged
>
> --
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
> https://bugs.launchpad.net/bugs/565543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

It looks to me like udev is the problem (I read udev is slowly being
integrated into DeviceKit).
Looking at /lib/udev/rules.d/66-xorg-synaptics.rules I see:

ACTION!="add|change", GOTO="xorg_synaptics_end"
KERNEL!="event*", GOTO="xorg_synaptics_end"

ENV{ID_INPUT_TOUCHPAD}!="1", GOTO="xorg_synaptics_end"

# Placeholder for platform specific quirks needing
# ID_INPUT.tags to be set.
ATTR{[dmi/id]product_name}=="Inspiron 1011", ENV{ID_INPUT.tags}="inspiron_1011"
ATTR{[dmi/id]product_name}=="Inspiron 1012", ENV{ID_INPUT.tags}="inspiron_1012"
ATTR{[dmi/id]product_name}=="Inspiron 1120", ENV{ID_INPUT.tags}="inspiron_1120"
ATTR{[dmi/id]product_name}=="HP MiniNote 1000", ENV{ID_INPUT.tags}="mininote_100

LABEL="xorg_synaptics_end"

I don't know what the tagging is for but I tried adding:
ATTR{[dmi/id]product_name}=="VPCEB2S1E", ENV{ID_INPUT.tags}="VPCEB2S1E"

and after a reboot, no change.

But if udev reads DMI data to detect the hardware, by looking at the
output of dmidecode, I couldn't see any touchpad device on my system,
so maybe the DMI data is missing or dmidecode can't read it.

Hope this helps.

On Wed, Aug 18, 2010 at 1:59 AM, Paul-Sebastian Manole
<email address hidden> wrote:
> Call me stupid, but why does this bug's status change this often?
>
> PS - Anyone tried my suggestions yet?
>
> On Tue, Aug 17, 2010 at 10:25 PM, Gursimran singh Mohar
> <email address hidden> wrote:
>> ** Changed in: linux (Ubuntu)
>>       Status: Incomplete => Triaged
>>
>> --
>> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
>> https://bugs.launchpad.net/bugs/565543
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in “linux” package in Ubuntu: Triaged
>>
>> Bug description:
>> Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>>
>> This is seen in sony vaio E series in particular ...
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>>
>

Gursimran singh (simar) wrote :

Hi Paul-Sebastian Manole, actually this bug is fit to be worked on by a developer to submit a patch. So the status triaged, I just forget to change the status earlier.. Rest is clear I hope.

Hi. I also have this problem on an Acer Aspire One 532h (Alps touchpad). Oddly, the touchpad was properly detected when I booted the distribution from a thumb drive, but once I installed from the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a mouse). I'm glad at least that my misery has company... :-)

Vladimir Hidalgo (vlad88sv) wrote :

I would like a way to force synaptics as driver.

Gursimran singh (simar) on 2010-08-23
description: updated

we are also having this problem with my husband's Gateway LT series netbook running UNR. Would be happy to post any outputs needed to help solve this issue.

I am pretty new to ubuntu and linux in general, so I dont know how to do any of the fancy stuff you guys are talking about here to report bugs. But I would just like to say that I have a very similar problem with my Gateway i5 NV-Series Laptop.

The touchpad is recognized as a Imps/2 generic mouse wheel. I cannot scroll down using the touchpad, but if i scroll up it automatically scrolls to the bottom of the page. It's a very odd problem. Furthermore, I am able to lock the touchpad when I hit the lock button on the laptop, which complicates things further seeing as it's not even recognized as a touchpad.

Hope this gets solved soon.

I think we've already found the problem. Bu there's another problem.
Whoever's triaging this bug isn't reporting this to developers.

Just to make it clear, the bug has to do with the change from HAL to
DevKit, where DevKit isn't loading appropriate drivers. The drivers
are there, and they work. It has been proved.

Just report this to Device Kit guys and we'll all be happier people.

On Tue, Aug 24, 2010 at 4:30 AM, Carlos Robles
<email address hidden> wrote:
> I am pretty new to ubuntu and linux in general, so I dont know how to do
> any of the fancy stuff you guys are talking about here to report bugs.
> But I would just like to say that I have a very similar problem with my
> Gateway i5 NV-Series Laptop.
>
> The touchpad is recognized as a Imps/2 generic mouse wheel. I cannot
> scroll down using the touchpad, but if i scroll up it automatically
> scrolls to the bottom of the page. It's a very odd problem. Furthermore,
> I am able to lock the touchpad when I hit the lock button on the laptop,
> which complicates things further seeing as it's not even recognized as a
> touchpad.
>
> Hope this gets solved soon.
>
> --
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
> https://bugs.launchpad.net/bugs/565543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

Gursimran singh (simar) wrote :

@Paul

I have tested what you said but unfortunately I'm bug triager and I do not have the problem on my system. If you are very sure where the problem is and what the problem is, go ahead with providing code..

As far as I know, this bug is in linux kernel as the kernel is not detecting the touchpad. The drivers(synaptics) are same for all touchpads but it loads only if the touchoad is recognised by the kernel. If you can somehow make the kernel detect your device, you are almost done..

Please specify, if I can be of some help to you....

Also, as far as i think the problem is behind the HAL. I'm not sure whether the HAL is a part of kernel or outside, but surely the problem lies behind HAL..

On Tue, Aug 24, 2010 at 8:48 PM, Gursimran singh Mohar
<email address hidden> wrote:
> @Paul
>
> I have tested what you said but unfortunately I'm bug triager and I do
> not have the problem on my system. If you are very sure where the

So if your system works, why aren't you providing the fix for all of
us? Cause our systems are the ones that aren't working.
Or perhaps you mean that you've tested on your system and all working
like a jiffy... except, well... you don't have an ALPS pointing
device!... oops, my bad. :-S

> problem is and what the problem is, go ahead with providing code..

Code? For what?

>
> As far as I know, this bug is in linux kernel as the kernel is not
> detecting the touchpad. The drivers(synaptics) are same for all
> touchpads but it loads only if the touchoad is recognised by the kernel.

OK so you seem to know what the problem is so far. What are you
waiting for? Have you reported it upstream yet? :/

> If you can somehow make the kernel detect your device, you are almost
> done..
>
> Please specify, if I can be of some help to you....
>
> Also, as far as i think the problem is behind the HAL. I'm not sure
> whether the HAL is a part of kernel or outside, but surely the problem
> lies behind HAL..

Huh? A little sense please? Do you think the problem is inside the
kernel or inside HAL? You've got me confused... %_%

PS - Doesn't anyone else think this bug "triager" is a little
"technically challenged" for the job?
Sorry for the rudeness but this is unacceptable to me.

>
> --
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
> https://bugs.launchpad.net/bugs/565543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

Chris Halse Rogers (raof) wrote :

The problem appears to be in the kernel - your Alps touchpad devices appear to not be tagged with the TOUCHPAD variable. This means that the Xorg Synaptics driver won't load for your touchpad - it is set up to load for all touchpads, and since your touchpad isn't tagged as a touchpad the Synaptics driver isn't loading.

Finding the precise kernel which broke the touchpad tagging would be helpful, since this is apparently a regression. You can find all the kernel versions which have been released to Lucid on the kernel's Launchpad page¹. Finding the last kernel which works, and the first kernel which doesn't will help narrow down what change broke this.

1: https://edge.launchpad.net/ubuntu/lucid/+source/linux

I can narrow this down a little bit. On the kernel that properly recognizes my touchpad, uname -a reports:

Linux cat 2.6.32-21-generic #32-Ubuntu SMP

On the kernel I'm running now with no touchpad support:

Linux cat 2.6.32-24-generic #41-Ubuntu SMP

Gursimran singh (simar) wrote :

@ Paul-Sebastian Manole
I'm not a expert in this area, just a bug triager. However I just tried to help you with all information and possibilities that I know, so that you can work on the bug. I clearly mentioned where I was not sure about the topic.

Brian McNicholas (brimcnick) wrote :

Hi,

I am having the same or similar problem. I have a Gateway NAV50 netbook that is running 10.04 and kernel 2.6.32-24 general and it isn't recognizing the touchpad; it is saying it is a general P/S2 wheel mouse.

⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ ImPS/2 Generic Wheel Mouse id=12 [slave pointer (2)]
⎜ ↳ Macintosh mouse button emulation id=13 [slave pointer (2)]

I: Bus=0011 Vendor=0002 Product=0005 Version=0000
N: Name="ImPS/2 Generic Wheel Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input7
U: Uniq=
H: Handlers=mouse1 event7
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103

I am very new to linux so any help would be greatly appreciated. And just to note, when I ran the trial of Ubuntu off of a flash drive the scroll worked and under Mouse settings there was a tab for scrolling. But since I have wiped Windows 7 and did a clean install of Ubuntu there is no more touchpad tab and no scrolling.

Thanks

Brian McNicholas (brimcnick) wrote :

Well the scroll feature just randomly started working. Still not showing a touchpad, still says generic PS/2 wheel mouse, and no touchpad tab under mouse settings. But the vertical scrolling works! I'm so confused!

@Brian : The scrolling has always worked for me even with the generic
PS/2 driver. It must be that the firmware inside the ALPS works with
generic PS/2 multi-button mice so the touchpad firmware is
pre-programmed to set the right edge of the touchpad to buttons 4 and
5, ie. scroll wheel up and down.

@Bill : Your narrow is the best we've got. Now where in the kernel
should I look for differences in code?

@Chris Roggers : The TOUCHPAD variable? Are you talking about the
kernel drivers?

@Gursimran : Oops... my bad again. :S

On Wed, Aug 25, 2010 at 9:49 PM, Brian McNicholas
<email address hidden> wrote:
> Well the scroll feature just randomly started working. Still not showing
> a touchpad, still says generic PS/2 wheel mouse, and no touchpad tab
> under mouse settings. But the vertical scrolling works! I'm so confused!
>
> --
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
> https://bugs.launchpad.net/bugs/565543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

Martin Thielen (math5005) wrote :

Same problem for me with an Asus X5DIJ laptop. Touchpad is recognized as "ImPS/2 Generic Wheel Mouse" on Ubuntu 10.04.

Vladimir Hidalgo (vlad88sv) wrote :

$ uname -a
Linux 2.6.36-020636rc2-generic #201008230905 SMP Mon Aug 23 10:17:47 UTC 2010 i686 GNU/Linux

$ dmesg | grep -i mouse
[ 4.905832] mice: PS/2 mouse device common for all mice
[ 10.663029] psmouse serio2: ID: 73 02 64
[ 11.314249] input: ImPS/2 Generic Wheel Mouse as /devices/platform/i8042/serio2/input/input6

~$ Xorg -version

X.Org X Server 1.7.6
Release Date: 2010-03-17
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-27-server i686 Ubuntu
Current Operating System: Linux protecsal 2.6.36-020636rc2-generic #201008230905 SMP Mon Aug 23 10:17:47 UTC 2010 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.36-020636rc2-generic root=UUID=62c1d60f-f1aa-4e1e-bf84-8f1954bf2c04 ro quiet quiet splash
Build Date: 21 July 2010 12:47:34PM
xorg-server 2:1.7.6-2ubuntu7.3 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.16.4

$ cat /var/log/Xorg.0.log | grep -i mouse
(==) intel(0): Silken mouse enabled
(II) config/udev: Adding input device ImPS/2 Generic Wheel Mouse (/dev/input/event6)
(**) ImPS/2 Generic Wheel Mouse: Applying InputClass "evdev pointer catchall"
(**) ImPS/2 Generic Wheel Mouse: always reports core events
(**) ImPS/2 Generic Wheel Mouse: Device: "/dev/input/event6"
(II) ImPS/2 Generic Wheel Mouse: Found 3 mouse buttons
(II) ImPS/2 Generic Wheel Mouse: Found scroll wheel(s)
(II) ImPS/2 Generic Wheel Mouse: Found relative axes
(II) ImPS/2 Generic Wheel Mouse: Found x and y relative axes
(II) ImPS/2 Generic Wheel Mouse: Configuring as mouse
(**) ImPS/2 Generic Wheel Mouse: YAxisMapping: buttons 4 and 5
(**) ImPS/2 Generic Wheel Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "ImPS/2 Generic Wheel Mouse" (type: MOUSE)
(II) ImPS/2 Generic Wheel Mouse: initialized for relative axes.
(II) config/udev: Adding input device ImPS/2 Generic Wheel Mouse (/dev/input/mouse1)
(II) config/udev: Adding input device Sony Vaio Jogdial (/dev/input/mouse0)

-------------

Left+Rght clic now does emulate middle clic (expected behaviour). Horizontal scroll still does not work. Still detected as PS/2 mouse.

I confirmed that 2.6.32-22.36 detects my touchpad as AlpsPS/2 ALPS GlidePoint and I see Touchpad tab in Preferences -> Mouse. Contrarily, 2.6.32-23.37 detects it as ImPS/2 Generic Wheel Mouse and I don't see Touchpad tab.

Changelog of 2.6.32-23.37 says:
  * Revert "(pre-stable): input: ALPS - Add signature for HP Pavilion dm3
    laptops"
    - LP: #550625

diff from 2.6.32-22.33 to 2.6.32-23.37 includes:
diff -u linux-2.6.32/drivers/input/mouse/alps.c linux-2.6.32/drivers/input/mouse/alps.c
--- linux-2.6.32/drivers/input/mouse/alps.c
+++ linux-2.6.32/drivers/input/mouse/alps.c
@@ -64,7 +64,6 @@
  { { 0x73, 0x02, 0x50 }, 0xcf, 0xcf, ALPS_FW_BK_1 }, /* Dell Vostro 1400 */
  { { 0x52, 0x01, 0x14 }, 0xff, 0xff,
   ALPS_PASS | ALPS_DUALPOINT | ALPS_PS2_INTERLEAVED }, /* Toshiba Tecra A11-11L */
- { { 0x73, 0x02, 0x64 }, 0xf8, 0xf8, 0 }, /* HP Pavilion dm3 */
 };

This revert might affect PCs other than HP Pavilion dm3 as well.

Martin Thielen (math5005) wrote :

Hi, just to eventually add something to solving the problem:

I just installed Kernel v2.6.35.4-maverick and now my touchpad is recognized as touchpad again:

xinput says:

(2)]
⎜ ↳ ETPS/2 Elantech Touchpad id=15 [slave pointer (2)]

where before it was just this generic ImPS/2 thing. I can now access Gsynaptics and the touchpad-options under preferences->mouse (or at least i think it is, i'm using the german version so the names may not be correct).

(Downside is that the Fn-Buttons aren't working as smooth as before, but that's not as important to me then having the touchpad work right)

Vladimir Hidalgo (vlad88sv) wrote :

I'm using 2.6.36 RC2 and it's broken (again?)

$ xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ ImPS/2 Generic Wheel Mouse id=11 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Video Bus id=6 [slave keyboard (3)]
    ↳ Sony Vaio Keys id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ USB 2.0 Camera id=9 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=10 [slave keyboard (3)]

According to my #38 comment, I tried up to 2.6.35 RC 6 with no luck. I'll try your version Martin.

I'll try TANAKA's version too: 2.6.32-22.36

I re-revert the change in alps.c in diff from 2.6.32-22.33 to 2.6.32-23.37. As a result, the Touchpad tab in Preferences -> Mouse appears.

In #70 case, my touchpad is recognized as AlpsPS/2 ALPS GlidePoint.

I also tried ALPS_DUALPOINT flag. In this case, recognized as AlpsPS/2 ALPS DualPoint TouchPad.

Sadly, in both cases (re-revert, re-revert + ALPS_DUALPOINT), vertical scroll, horizontal scroll and disabling 'tap to click' don't work. Seems ImPS/2 Generic Wheel Mouse is better, because at least vertical scroll works...

@TANAKA Weird but interesting... so the regression is there on purpose maybe.

I might have to try my custom kernel too, when I get the time.

On Sat, Aug 28, 2010 at 6:17 PM, TANAKA Katsunori
<email address hidden> wrote:
> In #70 case, my touchpad is recognized as AlpsPS/2 ALPS GlidePoint.
>
> I also tried ALPS_DUALPOINT flag. In this case, recognized as AlpsPS/2
> ALPS DualPoint TouchPad.
>
> Sadly, in both cases (re-revert, re-revert + ALPS_DUALPOINT), vertical
> scroll, horizontal scroll and disabling 'tap to click' don't work. Seems
> ImPS/2 Generic Wheel Mouse is better, because at least vertical scroll
> works...
>
> --
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
> https://bugs.launchpad.net/bugs/565543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Triaged
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

Voidmage (andreas-soad) wrote :

I seem to have a similar problem. I am using a Dell Vostro 1510 Laptop and am running Ubuntu 10.04. My touchpad used to work sporadically, meaning it would usually take several restarts for the touchpad to work in any way at all. Then it would work as a mouse with vertical scrolling, but not more. Else it would not work at all, leaving unable to even move the cursor.
Today it stopped working alltogether and wont load at all. I don't even have it recognized as a PS2 Mouse.

"sudo tpconfig" get's me:
>Found Synaptics Touchpad.
>Firmware: 8.96 (multiple-byte mode).

So apparently the system knows it's there, but it does not work. There is no touchpad tab in the system>preferences>mouse either. I am fairly new to linux, so I don't know what more info I could offer.

Voidmage (andreas-soad) wrote :

Sorry, It just started working again, so it is still an on/off error and doesn't seem to be connected to this threads error. Disregard my earlier post, I will file my error as a separate bug.

In re-revert + ALPS_DUALPOINT case of #70, I found synaptics driver loaded.

(II) config/udev: Adding input device AlpsPS/2 ALPS DualPoint TouchPad (/dev/input/event9)
(**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "evdev pointer catchall"
(**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "evdev touchpad catchall"
(**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "touchpad catchall"
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
        compiled for 1.7.6, module version = 1.2.2
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 7.0
(II) Synaptics touchpad driver version 1.2.2
(**) Option "Device" "/dev/input/event9"
(II) AlpsPS/2 ALPS DualPoint TouchPad: x-axis range 0 - 1023
(II) AlpsPS/2 ALPS DualPoint TouchPad: y-axis range 0 - 767
(II) AlpsPS/2 ALPS DualPoint TouchPad: pressure range 0 - 127
(II) AlpsPS/2 ALPS DualPoint TouchPad: finger width range 0 - 0
(II) AlpsPS/2 ALPS DualPoint TouchPad: buttons: left right middle
(--) AlpsPS/2 ALPS DualPoint TouchPad: touchpad found
(**) AlpsPS/2 ALPS DualPoint TouchPad: always reports core events
(II) XINPUT: Adding extended input device "AlpsPS/2 ALPS DualPoint TouchPad" (type: TOUCHPAD)
(**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) keeping acceleration scheme 1
(**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration profile 0
(**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration factor: 2.000
(**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration threshold: 4
(--) AlpsPS/2 ALPS DualPoint TouchPad: touchpad found
(II) config/udev: Adding input device AlpsPS/2 ALPS DualPoint TouchPad (/dev/input/mouse2)

Since vertical scroll, horizontal scroll and disabling 'tap to click' don't work in this case, it seems the synaptics driver doesn't handle DualPoint TouchPad properly.

In re-revert + ALPS_DUALPOINT case of #70, I edited /usr/lib/X11/xorg.conf.d/10-synaptics.conf to change options as shown in README.alps in xserver-xorg-input-synaptics source in vain.

Segitz (flacht82) wrote :

So... the recent kernel update in Maverick detects it as AlpsPS2 again... but it doesn't work at all, anymore.

uname -r
2.6.35-21-generic

Segitz (flacht82) wrote :
Joel Guthrie (joelguthrie) wrote :

To restore functionality, try the test kernel in this thread:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/641320

My Alps touchpad is now listed as an "ImPS/2 Generic Wheel Mouse", but at least I can use it.

mdumser (mdumser) wrote :
Download full text (7.5 KiB)

Get nothing (no scrolling, clicking, or motion) from my Alps on Sony Vaio...

Attaching my Ispci.txt output as a separate file.

My Devices are listed as:

I: Bus=0019 Vendor=0000 Product=0001 Version=0000
N: Name="Power Button"
P: Phys=PNP0C0C/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input0
U: Uniq=
H: Handlers=kbd event0
B: EV=3
B: KEY=10000000000000 0

I: Bus=0019 Vendor=0000 Product=0005 Version=0000
N: Name="Lid Switch"
P: Phys=PNP0C0D/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input1
U: Uniq=
H: Handlers=event1
B: EV=21
B: SW=1

I: Bus=0019 Vendor=0000 Product=0001 Version=0000
N: Name="Power Button"
P: Phys=LNXPWRBN/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
U: Uniq=
H: Handlers=kbd event2
B: EV=3
B: KEY=10000000000000 0

I: Bus=0017 Vendor=0001 Product=0001 Version=0100
N: Name="Macintosh mouse button emulation"
P: Phys=
S: Sysfs=/devices/virtual/input/input3
U: Uniq=
H: Handlers=mouse0 event3
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3

I: Bus=0011 Vendor=0001 Product=0001 Version=ab41
N: Name="AT Translated Set 2 keyboard"
P: Phys=isa0060/serio0/input0
S: Sysfs=/devices/platform/i8042/serio0/input/input4
U: Uniq=
H: Handlers=kbd event4
B: EV=120013
B: KEY=402000000 3803078f800d001 feffffdfffefffff fffffffffffffffe
B: MSC=10
B: LED=7

I: Bus=0010 Vendor=104d Product=0000 Version=0000
N: Name="Sony Vaio Keys"
P: Phys=
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:2b/SNY5001:00/input/input5
U: Uniq=
H: Handlers=rfkill kbd event5
B: EV=13
B: KEY=1f160f0000 c00000000 10000000000000 200000000 600b00102c00 380000240300400 e000000000000 0
B: MSC=10

I: Bus=0010 Vendor=104d Product=0000 Version=0000
N: Name="Sony Vaio Jogdial"
P: Phys=
S: Sysfs=/devices/virtual/input/input6
U: Uniq=
H: Handlers=mouse1 event6
B: EV=7
B: KEY=40000 0 0 0 0
B: REL=100

I: Bus=0003 Vendor=046d Product=c018 Version=0111
N: Name="Logitech USB Optical Mouse"
P: Phys=usb-0000:00:12.0-2/input0
S: Sysfs=/devices/pci0000:00/0000:00:12.0/usb4/4-2/4-2:1.0/input/input7
U: Uniq=
H: Handlers=mouse2 event7
B: EV=17
B: KEY=70000 0 0 0 0
B: REL=103
B: MSC=10

I: Bus=0019 Vendor=0000 Product=0006 Version=0000
N: Name="Video Bus"
P: Phys=LNXVIDEO/video/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:00/LNXVIDEO:00/input/input8
U: Uniq=
H: Handlers=kbd event8
B: EV=3
B: KEY=3f000b00000000 0 0 0

I: Bus=0003 Vendor=0408 Product=03f5 Version=0907
N: Name="Sony Visual Communication Camer"
P: Phys=usb-0000:00:13.2-3/button
S: Sysfs=/devices/pci0000:00/0000:00:13.2/usb2/2-3/2-3:1.0/input/input9
U: Uniq=
H: Handlers=kbd event9
B: EV=3
B: KEY=100000 0 0 0

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA ATI SB Mic"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:14.2/sound/card0/input10
U: Uniq=
H: Handlers=event10
B: EV=21
B: SW=10

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA ATI SB Headphone"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:14.2/sound/card0/input11
U: Uniq=
H: Handlers=event11
B: EV=21
B: SW=4

====================================================================================

Finally my xev output:

Out...

Read more...

Jeremy (jafoutz) on 2010-10-23
Changed in linux (Ubuntu):
status: Triaged → Fix Released
status: Fix Released → Incomplete
status: Incomplete → New

lol, this bug is going crazy.

Alas, multitouch touchpad support might come to openSUSE first and it
might include Synaptics/ALPS touchpads.

On Sat, Oct 23, 2010 at 10:46 PM, Jeremy <email address hidden> wrote:
> ** Changed in: linux (Ubuntu)
>       Status: Triaged => Fix Released
>
> ** Changed in: linux (Ubuntu)
>       Status: Fix Released => Incomplete
>
> ** Changed in: linux (Ubuntu)
>       Status: Incomplete => New
>
> --
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
> https://bugs.launchpad.net/bugs/565543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: New
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

Vladimir Hidalgo (vlad88sv) wrote :

That's good news Paul-Sebastian Manole, would you mind to post any source of that information?, I would like to stay tuned for a patch.

http://www.phoronix.com/scan.php?page=news_item&px=ODY2Mw
Full article (not long) follows.

"Multi-Touch For The X.Org Synaptics Driver

Posted by Michael Larabel on October 08, 2010

Takashi Iwai of Novell/SuSE has just published a series of 18 patches
for the X.Org Synaptics input driver that primarily provides
multi-touch support. There's also some fixes and other changes to this
Synaptics driver for X, but the primary feature is the addition of
multi-touch support under Linux (and other X.Org-using operating
systems) for supported hardware.

It turns out that Takashi actually wrote these patches some months
ago, but that Novell's legal department didn't allow him to publish
the code for upstream integration over concerns of possible patent
infringements. This was mentioned on the mailing list.

However, after this work was independently discovered, Takashi has now
went ahead and mailed out the patches for hopeful integration."

On Sun, Oct 24, 2010 at 4:47 AM, Vladimir Hidalgo
<email address hidden> wrote:
> That's good news Paul-Sebastian Manole, would you mind to post any
> source of that information?, I would like to stay tuned for a patch.
>
> --
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
> https://bugs.launchpad.net/bugs/565543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: New
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

Vladimir Hidalgo (vlad88sv) wrote :

Thank you. I did a quick search over the patches and seems that ALPS has been taken into account (some commentaries in the patches for ALPS).

Multitouch support is going to be super nice, especially for the pinch gesture. I can't wait until the day I can zoom in/out using pinch gesture in my laptop, that was a shocking great feature I discovered before in W7 I wiped it out.

I know this is not the place to chat about stuff like this but I just
wanted to tell you and everyone else not to get their hopes up because
pinch gesture is horrible on a touchpad. Just try it on W7. The
resolution is too low, the touchpads are too small to do any useful
pinching.

Only good things are: double finger scrolling, double finger
clicks/taps, double finger pivot scrolling, as well as triple finger
similar stuff.

Ok let's not forget that we can't even configure some Synaptics and
ALPS devices for basic things like sensitivity and enable disable
while typing.

On Sun, Oct 24, 2010 at 11:09 PM, Vladimir Hidalgo
<email address hidden> wrote:
> Thank you. I did a quick search over the patches and seems that ALPS has
> been taken into account (some commentaries in the patches for ALPS).
>
>
> Multitouch support is going to be super nice, especially for the pinch gesture. I can't wait until the day I can zoom in/out using pinch gesture in my laptop, that was a shocking great feature I discovered before in W7 I wiped it out.
>
> --
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
> https://bugs.launchpad.net/bugs/565543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: New
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

John Morgan (johngennymorgan) wrote :

I have an Acer Aspire 5610 running Ubuntu 10.10. My touchpad quit working completely a few months ago. I thought it was related to installing a mouse. I have tried several of the fixes on the help pages to no avail. I have the Touchpad tab in the System/Preferences/Mouse directory, but none of the options would take effect. The Synaptics touchpad is recognized by the system as per the trouble shooting tips. I Have Puppy Linux on a USB stick and tried booting from that, still no touchpad. I have Ubuntu 09.10 on a USB stick and booted from that. The mouse pad worked. I shut down the system and rebooted into my regular Ubuntu 10.10 and the touchpad worked. I am not a pro at Linux but thought this may help

kylea (kylea) wrote :

Linux kylea-laptop-lucid 2.6.32-26-generic #47-Ubuntu SMP Wed Nov 17 15:58:05 UTC 2010 x86_64 GNU/Linux

Dell E6510
ALPS Touchpad

Recognized as a PS/2 mouse

Files attached

kylea (kylea) wrote :
kylea (kylea) wrote :
tags: added: kj-triage

Does anyone have any real news about how solving this bug is going?
What's the status of the input driver for ALPS devices under linux?
What's the status of multitouch support?

On Wed, Dec 1, 2010 at 7:34 PM, Jeremy Foshee <email address hidden> wrote:
> ** Tags added: kj-triage
>
> --
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
> https://bugs.launchpad.net/bugs/565543
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: New
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

Gav O'Connor (scalamoosh) wrote :

Does anyone have any further information regarding this bug?

My VAIO's track-pad is having the same problem. Pointer ans vertical scroll work fine, but no settings and my system identifies the track-pad as a ImPS/2 Generic Wheel Mouse.

I am running 10.10, Kernel 2.6.35-23-generic.

are there any files i can upload here that would help speed up this process? if so just name them.

Same issue here. I have a Sony Vaio VPCEB3C5E, touchpad is recognized as a PS/2 mouse.

Basic movement and vertical scrolling work, but nothing else. The behavior of the trackpad is erratic, sometimes it becomes very difficult to control it (or becomes completely wild).

I should also point out that I had major problems with the trackpad during installation. The trackpad wouldn't be recognized at all. I had to add the boot option i8042.nopnp in order to be able to use the trackpad at all.

Any status update about this bug would be very much appreciated.

 Thanks

 Daniele

naught101 (naught101) wrote :

I also have this problem, with a similar xorg log as in #12 on an eMachines eM350 netbook
Interestingly, I get this:

naught101@naught-eM350:~$ synclient -m 300
Can't access shared memory area. SHMConfig disabled?
Couldn't find synaptics properties. No synaptics driver loaded?

naught101@naught-eM350:~$ sudo tpconfig --info
Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).
Sensor type: unknown (0).
Geometry: rectangular/landscape/up.
Packets: absolute, 80 packets per second.
Corner taps disabled; no tap gestures.
Edge motion: none.
Z threshold: 6 of 7.
2 button mode; corner tap is right button click.

ma_chro (ma-chro) wrote :

I have the same problem. I have a VPCEE33EL Sony Vaio.
I'm running 10.10.
Touchpad is recognized like PS/2 mouse.
Through forums make it work the touchpad, (I put the i8042.nopnp in the Grub) but I have no scroll and the other functions.

Thank you very much.

Best regards.

Mario

Diska (discardi-nicola) wrote :

sony vaio VPCEB1Z1E
uname -r
2.6.37-9-generic

same problem

 dmesg | grep -i mouse
[ 5.963615] mice: PS/2 mouse device common for all mice
[ 7.544242] input: Logitech Optical USB Mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0/input/input3
[ 7.544369] generic-usb 0003:046D:C016.0001: input,hidraw0: USB HID v1.10 Mouse [Logitech Optical USB Mouse] on usb-0000:00:1d.0-1.6/input0

[ 15.568789] input: ImPS/2 Generic Wheel Mouse as /devices/platform/i8042/serio1/input/input8
I: Bus=0011 Vendor=0002 Product=0005 Version=0000
N: Name="ImPS/2 Generic Wheel Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input8
U: Uniq=
H: Handlers=mouse2 event8
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=103

 sudo tpconfig --info
Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).
Sensor type: unknown (0).
Geometry: rectangular/landscape/up.
Packets: absolute, 80 packets per second.
Corner taps disabled; no tap gestures.
Edge motion: none.
Z threshold: 6 of 7.
2 button mode; corner tap is right button click.

There's no hope for a driver for these touchpads yet...

On Fri, Dec 17, 2010 at 9:20 PM, Diska <email address hidden> wrote:
> sony vaio VPCEB1Z1E
> uname -r
> 2.6.37-9-generic
>
> same problem
>
>  dmesg | grep -i mouse
> [    5.963615] mice: PS/2 mouse device common for all mice
> [    7.544242] input: Logitech Optical USB Mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0/input/input3
> [    7.544369] generic-usb 0003:046D:C016.0001: input,hidraw0: USB HID v1.10 Mouse [Logitech Optical USB Mouse] on usb-0000:00:1d.0-1.6/input0
>
>
> [   15.568789] input: ImPS/2 Generic Wheel Mouse as /devices/platform/i8042/serio1/input/input8
> I: Bus=0011 Vendor=0002 Product=0005 Version=0000
> N: Name="ImPS/2 Generic Wheel Mouse"
> P: Phys=isa0060/serio1/input0
> S: Sysfs=/devices/platform/i8042/serio1/input/input8
> U: Uniq=
> H: Handlers=mouse2 event8
> B: EV=7
> B: KEY=70000 0 0 0 0
> B: REL=103
>
>  sudo tpconfig  --info
> Found Synaptics Touchpad.
> Firmware: 8.96 (multiple-byte mode).
> Sensor type: unknown (0).
> Geometry: rectangular/landscape/up.
> Packets: absolute, 80 packets per second.
> Corner taps disabled;           no tap gestures.
> Edge motion: none.
> Z threshold: 6 of 7.
> 2 button mode; corner tap is right button click.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/565543
>
> Title:
>  Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
>
> Status in “linux” package in Ubuntu:
>  New
>
> Bug description:
>  Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

I'm stuck with an Acer TimelineX 3828TG notebook with a poorly functioning touchpad identified as ImPS/2 by the kernel, therefore no touchpad tab in the mouse properties in gnome. Vertical scrolling only works downward and no sign of horizontal scrolling.

I emailed the ALPS R&D team just to illuminate the problem and make sure they are aware of it and got the following response:

"Currently ALPS hasn't supported Linux driver yet.
However we starterd investigation to solve the matter that you have pointed
out."

Even though i don't have too high expectations of having this issue solved anytime soon, at least there was some reaction on their side... Would be really nice if they did like broadcom and spent some extra resources on linux, never too late to get in the game.

Wow, even that's awesome news, can you believe it?
Thanks for going ahead and doing what we didn't even think of. :)

On Mon, Dec 20, 2010 at 10:49 PM, JohanFornander
<email address hidden> wrote:
> I'm stuck with an Acer TimelineX 3828TG notebook with a poorly
> functioning touchpad identified as ImPS/2 by the kernel, therefore no
> touchpad tab in the mouse properties in gnome. Vertical scrolling only
> works downward and no sign of horizontal scrolling.
>
> I emailed the ALPS R&D team just to illuminate the problem and make sure
> they are aware of it and got the following response:
>
> "Currently ALPS hasn't supported Linux driver yet.
> However we starterd investigation to solve the matter that you have pointed
> out."
>
> Even though i don't have too high expectations of having this issue
> solved anytime soon, at least there was some reaction on their side...
> Would be really nice if they did like broadcom and spent some extra
> resources on linux, never too late to get in the game.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/565543
>
> Title:
>  Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
>
> Status in “linux” package in Ubuntu:
>  New
>
> Bug description:
>  Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

ma_chro (ma-chro) wrote :

I sent, like Johan Fernander, mails to ALPS and Sony with a description of our problem.
Sony said: "I'm sorry we have only support for windows" ( incredible ! )
I'm waiting answer of Alps.
I think if everybody send mails to both companies they would have to listen to us.

I forwarded the mail from ALPS to Douglas Chase who works for Canonical. He in turn passed in on to Canonical's hardware enablement team to hopefully get this ball rolling.

I'm trying no to get my hopes up and just think that I can actually
live without the extra touchpad functionality, cause after all I
barely use one where it works... anyways, thank you Johan. Keep us
posted.

On Wed, Dec 22, 2010 at 6:31 AM, JohanFornander
<email address hidden> wrote:
> I forwarded the mail from ALPS to Douglas Chase who works for Canonical.
> He in turn passed in on to Canonical's hardware enablement team to
> hopefully get this ball rolling.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/565543
>
> Title:
>  Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series) after the kernel upgrade
>
> Status in “linux” package in Ubuntu:
>  New
>
> Bug description:
>  Initially the ALPS touchpad was detected by the kernel but does not support horizontal and vertical support but after the kernel upgrade to 10.04 vertical scroll is working but horizontal scroll is not working. And the kernel is not detecting the ALPS touchpad and the cat /proc/bus/input/devices says it is a  PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

Ginjaninja405 (ginjaninja405) wrote :

I'm having the same problem.
I am almost upset that I can't use Ubuntu on this laptop.
My problem seems to be far worst than most though,
this laptop is brand new (literally weeks old) and the trackpad
in this Sony VAIO E Series VPCEB3C5E doesn't work at all.
Nothing. No motion, no vertical/horizontal scrolling, not even the buttons.
I really hope this gets solved, as I love Ubuntu much more than windows,
but I can't stand not having a functional trackpad to work with.

Hi Sam,

I have the very same laptop. To make the touchpad recognized, edit your
"/etc/default/grub", and add the following:

GRUB_CMDLINE_LINUX="i8042.nopnp"

Then run "sudo grub-install" and reboot. The touchpad will be recognized, it
will almost work but every now and then it will become almost impossible to
control (at least, that's what happens to me).

In those cases, remove and reload the psmouse kernel module:

sudo rmmod psmouse
sudo modprobe psmouse

Hope it helps, ciao

 Daniele

On Fri, Jan 14, 2011 at 2:11 PM, Ginja_Sam <email address hidden>wrote:

> I'm having the same problem.
> I am almost upset that I can't use Ubuntu on this laptop.
> My problem seems to be far worst than most though,
> this laptop is brand new (literally weeks old) and the trackpad
> in this Sony VAIO E Series VPCEB3C5E doesn't work at all.
> Nothing. No motion, no vertical/horizontal scrolling, not even the buttons.
> I really hope this gets solved, as I love Ubuntu much more than windows,
> but I can't stand not having a functional trackpad to work with.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/565543
>
> Title:
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series)
> after the kernel upgrade
>
> Status in “linux” package in Ubuntu:
> New
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not
> support horizontal and vertical support but after the kernel upgrade
> to 10.04 vertical scroll is working but horizontal scroll is not
> working. And the kernel is not detecting the ALPS touchpad and the cat
> /proc/bus/input/devices says it is a PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from
> the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a
> mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

Download full text (3.4 KiB)

@Daniele How the *LL did you find this fix?! PLEASE tell us!
I mean, is someone finally shedding some light on the problem here?! :O

On Fri, Jan 14, 2011 at 3:39 PM, Daniele Pighin
<email address hidden> wrote:
> Hi Sam,
>
> I have the very same laptop. To make the touchpad recognized, edit your
> "/etc/default/grub", and add the following:
>
> GRUB_CMDLINE_LINUX="i8042.nopnp"
>
> Then run "sudo grub-install" and reboot. The touchpad will be recognized, it
> will almost work but every now and then it will become almost impossible to
> control (at least, that's what happens to me).
>
> In those cases, remove and reload the psmouse kernel module:
>
> sudo rmmod psmouse
> sudo modprobe psmouse
>
> Hope it helps, ciao
>
>  Daniele
>
> On Fri, Jan 14, 2011 at 2:11 PM, Ginja_Sam
> <email address hidden>wrote:
>
>> I'm having the same problem.
>> I am almost upset that I can't use Ubuntu on this laptop.
>> My problem seems to be far worst than most though,
>> this laptop is brand new (literally weeks old) and the trackpad
>> in this Sony VAIO E Series VPCEB3C5E doesn't work at all.
>> Nothing. No motion, no vertical/horizontal scrolling, not even the buttons.
>> I really hope this gets solved, as I love Ubuntu much more than windows,
>> but I can't stand not having a functional trackpad to work with.
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>> https://bugs.launchpad.net/bugs/565543
>>
>> Title:
>>  Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series)
>>  after the kernel upgrade
>>
>> Status in “linux” package in Ubuntu:
>>  New
>>
>> Bug description:
>>  Initially the ALPS touchpad was detected by the kernel but does not
>>  support horizontal and vertical support but after the kernel upgrade
>>  to 10.04 vertical scroll is working but horizontal scroll is not
>>  working. And the kernel is not detecting the ALPS touchpad and the cat
>>  /proc/bus/input/devices says it is a  PS2 mouse ..
>>
>>  This is seen in sony vaio E series in particular ...
>>
>>  Also Bill in Comment #52 says
>>  Acer Aspire One 532h (Alps touchpad).
>>  I booted the distribution from a thumb drive, but once I installed from
>> the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a
>> mouse) ..
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>>
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/565543
>
> Title:
>  Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series)
>  after the kernel upgrade
>
> Status in “linux” package in Ubuntu:
>  New
>
> Bug description:
>  Initially the ALPS touchpad was detected by the kernel but does not
>  support horizontal and vertical support but after the kernel upgrade
>  to 10.04 vertical scroll is working but horizontal scroll is not
>  working. And the kernel is not detecting the ALPS touchpad and the cat
>  /proc/bus/input/devices says it is a  PS2 mouse ..
>
>  This is seen in sony vaio E series in particular ...
>
>  Also Bill in Comment #52 says
>  Acer Aspire One 532h...

Read more...

Hi Paul,

This fix has been around for a while, and I had already mentioned also in my
first post to this bug thread.
It is mentioned in several posts around the Web, for example in this one:
http://ubuntuforums.org/showthread.php?t=1150077

<http://ubuntuforums.org/showthread.php?t=1150077>By the way, it IS NOT a
fix to the bug in question, since the device is recognized as a simple PS
mouse, many of its features are not exploited and, most importantly, the
device starts behaving very annoyingly very often. The crazy behavior of the
touchpad is so upsetting that I ended up plugging in an external USB mouse
and blacklisting the psmouse module.

 Daniele

On Fri, Jan 14, 2011 at 5:05 PM, Paul-Sebastian Manole <
<email address hidden>> wrote:

> @Daniele How the *LL did you find this fix?! PLEASE tell us!
> I mean, is someone finally shedding some light on the problem here?! :O
>
>

Alok Sharma (alok-sharma) wrote :

I am also having the same problem with Acer Aspire 5542G running Ubuntu 10.10

I: Bus=0011 Vendor=0002 Product=0005 Version=0000
N: Name="ImPS/2 Generic Wheel Mouse"
P: Phys=isa0060/serio2/input0
S: Sysfs=/devices/platform/i8042/serio2/input/input7
U: Uniq=
H: Handlers=mouse0 event7
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=103

⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ ImPS/2 Generic Wheel Mouse id=12 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ Video WebCam id=10 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=11 [slave keyboard (3)]

Dan Stamo (dan-stamo) wrote :

Similar problem.
dual boot win7 and ubuntu on Gateway ID49. touchpad is id as ps2 Generic mouse.
no scroll, gestures, and locks up for 5-20 seconds at times.

Also affected. eMachines em350. Trackpad as ImPS/2 works, but inability to adjust sensitivity/disable on typing makes using my machine with Ubuntu a frustrating experience.

Vladimir Hidalgo (vlad88sv) wrote :

Things are worse in natty...

Scrolling is totally lost again, sometimes the trackpad just locks up making it totally useless for 5 - 10 seconds.

Aram Bayadyan (aram-bv) wrote :

Have the same problem as Ginja_Sam, no sign of life from ALPS touchpad, and it didn't work during installation also. Using Sony Vaio VPCEB36GM :((

Aram Bayadyan (aram-bv) wrote :

works now after updating kernel to 2.6.35 :)

Patrick McElwee (pmcelwee) wrote :

This is just a note to say that I have had the same problem on my Acer Aspire One 12h-2268 for over a year (since early in 2.6.x kernel series, when I bought the computer and installed Linux). On this netbook, the vertical scrolling works and it is detected as ImPS/2 Generic Wheel Mouse. The biggest problem for me is the inability to disable tapping (either while typing or at all times). I just updated to 10.10 in hopes of solving the problem, but no such luck.

I'm a bit of a noob, but willing to provide any files useful to solving this.

Just so that everyone understands. These are fairly new devices so
developers don't have access to them to fix this issue.
I have the same kind of problem. Unfortunately, I don't have the kind
of money needed to buy a device with this kind of device and send it
as a gift to some kernel developer... or the knowledge to write the
code myself. Bummer. :\

On Tue, Feb 15, 2011 at 6:35 PM, Patrick McElwee <email address hidden> wrote:
> This is just a note to say that I have had the same problem on my Acer
> Aspire One 12h-2268 for over a year (since early in 2.6.x kernel series,
> when I bought the computer and installed Linux). On this netbook, the
> vertical scrolling works and it is detected as ImPS/2 Generic Wheel
> Mouse. The biggest problem for me is the inability to disable tapping
> (either while typing or at all times). I just updated to 10.10 in hopes
> of solving the problem, but no such luck.
>
> I'm a bit of a noob, but willing to provide any files useful to solving
> this.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/565543
>
> Title:
>  Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series)
>  after the kernel upgrade
>
> Status in “linux” package in Ubuntu:
>  New
>
> Bug description:
>  Initially the ALPS touchpad was detected by the kernel but does not
>  support horizontal and vertical support but after the kernel upgrade
>  to 10.04 vertical scroll is working but horizontal scroll is not
>  working. And the kernel is not detecting the ALPS touchpad and the cat
>  /proc/bus/input/devices says it is a  PS2 mouse ..
>
>  This is seen in sony vaio E series in particular ...
>
>  Also Bill in Comment #52 says
>  Acer Aspire One 532h (Alps touchpad).
>  I booted the distribution from a thumb drive, but once I installed from the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

Sam Clark (sclark2015) wrote :

Hi everyone!
Is there any progress?
I have a Gateway NV54, and the trackpad is messed up. In Maverick, it shows up as the IMPS/2 mouse. Edge scrolling works, but would like two finger. :) Under Natty, it shows up as "AlpsPS/2 ALPS GlidePoint", with no scrolling. I just wanted to know if anything's been heard from ALPS or Canonical.

Hi ppl!

HP dm3-2130 and my touchpad pretends to be a PS2 mouse without scroll.

And I think that we have a duplicate here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/616605

hummiah (simoneak) wrote :

Hi! I'm still having the same problem with a Sony Vaio VPCEB3C5E. Any progress?

elPraga (elpraga) wrote :

I do not think it is a duplicate. In my case it is detected, as both PS/2
and APLS, but works only as PS/2

2011/3/28 hummiah <email address hidden>

> Hi! I'm still having the same problem with a Sony Vaio VPCEB3C5E. Any
> progress?
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/565543
>
> Title:
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series)
> after the kernel upgrade
>
> Status in “linux” package in Ubuntu:
> New
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not
> support horizontal and vertical support but after the kernel upgrade
> to 10.04 vertical scroll is working but horizontal scroll is not
> working. And the kernel is not detecting the ALPS touchpad and the cat
> /proc/bus/input/devices says it is a PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from
> the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a
> mouse) ..
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/565543/+subscribe
>

Zlatovlac (zlatovlac) wrote :

The same problem is detected on Ubuntu 11.04 beta on Netbook HP mini 311.

naught101 (naught101) wrote :

This bug is fixed for me in Natty - touchpad is now correctly detected as ALPS. However, due to https://bugs.launchpad.net/ubuntu/+source/linux/+bug/737051 it now works WORSE than in Maverick..

naught101 (naught101) wrote :

Sorry, should note that the above comment is on an eMachines em350 netbook.

leloo (leloo) wrote :

Hi, for me on a dm3 the bug isn't fixed for natty, my pad is known as a PS2/mouse and the scroll does not work.

This bug is missing log files that will aid in dianosing the problem. From a terminal window please run:

apport-collect 565543

and then change the status of the bug back to 'New'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Ben Hodgetts (enverex) wrote :

I have also experienced this issue on both Debian and Arch Linux on my Sony Vaio (identified as a PS2 mouse rather than an Alps Touchpad).

I cannot run Apport as I'm not running Ubuntu but if you'd like any other distro-independent data then I'm sure I can get it.

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: peter 1825 F.... pulseaudio
 /dev/snd/pcmC0D0p: peter 1825 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xe6e60000 irq 47'
   Mixer name : 'IDT 92HD90BXX'
   Components : 'HDA:111d76e7,10280493,00100102'
   Controls : 15
   Simple ctrls : 10
Card1.Amixer.info:
 Card hw:1 'NVidia'/'HDA NVidia at 0xe5080000 irq 17'
   Mixer name : 'Nvidia GPU 1c HDMI/DP'
   Components : 'HDA:10de001c,10281493,00100100'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
CheckboxSubmission: 7a44f748faca509c8715ed10df6d528a
CheckboxSystem: d00f84de8a555815fa1c4660280da308
DistroRelease: Ubuntu 11.04
HibernationDevice: RESUME=UUID=3405cde9-339d-4417-849d-a7ff0c21c087
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
MachineType: Dell Inc. Latitude E6420
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_AU:en
 PATH=(custom, user)
 LANG=en_AU.UTF-8
 SHELL=/usr/bin/zsh
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-11-generic root=UUID=7d24f62c-cf7a-4483-9b28-9113bfa25475 ro reboot=pci quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-11.47-generic 2.6.38.8
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-11-generic N/A
 linux-backports-modules-2.6.38-11-generic N/A
 linux-firmware 1.52.1
Tags: natty running-unity
Uname: Linux 2.6.38-11-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin audio cdrom dialout fuse lpadmin mythtv netdev plugdev powerdev sambashare src tape vboxusers video
dmi.bios.date: 05/11/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A04
dmi.board.asset.tag: UOM87276
dmi.board.name: 032T9K
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.asset.tag: UOM87276
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA04:bd05/11/2011:svnDellInc.:pnLatitudeE6420:pvr01:rvnDellInc.:rn032T9K:rvrA01:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6420
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

tags: added: apport-collected natty running-unity

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Peter Schachte (schachte) wrote :

I'm not the original reporter of this bug, and I don't have a Sony Vaio. I have a Dell Lattitude E6420, which also has the ALPS GlidePoint. I've just run apport-collect since the original reporter has not. My apologies if I should not have added to this report.

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC275 Analog [ALC275 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: fds 1701 F.... pulseaudio
 /dev/snd/pcmC1D0p: fds 1701 F...m pulseaudio
 /dev/snd/controlC0: fds 1701 F.... pulseaudio
                      fds 2189 F.... gkrellm
CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xe8e00000 irq 49'
   Mixer name : 'Realtek ALC275'
   Components : 'HDA:10ec0275,104d3f00,00100005'
   Controls : 18
   Simple ctrls : 10
Card1.Amixer.info:
 Card hw:1 'Speaker'/' Logitech Logitech Speaker at usb-0000:00:1d.0-1.1.1, fu'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:0a10'
   Controls : 2
   Simple ctrls : 1
Card2.Amixer.info:
 Card hw:2 'NVidia'/'HDA NVidia at 0xe3080000 irq 16'
   Mixer name : 'Nvidia GPU 0a HDMI/DP'
   Components : 'HDA:10de000a,104d3f00,00100100'
   Controls : 16
   Simple ctrls : 4
DistroRelease: Ubuntu 11.04
HibernationDevice: RESUME=UUID=fd732b8d-9d9a-489a-837e-6f7af1a4b620
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Sony Corporation VPCF12S1E
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=fr_FR:en
 PATH=(custom, user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-10-generic root=UUID=8070adb5-b1a6-48a8-be82-141d219e2a5c ro quiet splash nomodeset i8042.nopnp vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-10.46-generic 2.6.38.7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-10-generic N/A
 linux-backports-modules-2.6.38-10-generic N/A
 linux-firmware 1.52.1
Tags: natty running-unity
Uname: Linux 2.6.38-10-generic x86_64
UpgradeStatus: Upgraded to natty on 2011-05-02 (85 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 10/11/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R1120Y6
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR1120Y6:bd10/11/2010:svnSonyCorporation:pnVPCF12S1E:pvrC605Q9FB:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VPCF12S1E
dmi.product.version: C605Q9FB
dmi.sys.vendor: Sony Corporation

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joe Burgess (joemburgess) wrote :

I just marked bug #816110 a duplicate of this bug. the original reporter has tried this on the latest dev release and it is still being recognized as a ps/2 mouse.

Hopefully the upstream will fix this soon. It looks like they are getting close

Joe Burgess (joemburgess) wrote :

If someone could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

The situation is the same or even worse for my laptop (a Dell Latitude E6420) in the latest upstream kernel. I tested with the plain 3.0 kernel from kernel.org (from source) and the ubuntu mainline kernel at http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.0-oneiric/ (both 64bit).

In the 2.6.38 kernel, the touchpad is recognized as "ImPS/2 ALPS GlidePoint", vertical scrolling works but settings like tapping cannot be configured.
In both new kernels my touchpad is recognized as a "PS/2 Generic Mouse" which is worse than in the default 2.6.38 kernel, because now even the vertical scrolling does not work anymore.

lennart@latitude ~ $ uname -a
Linux latitude 3.0.0-0300-generic #201107220917 SMP Fri Jul 22 09:20:45 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

lennart@latitude ~ $ cat /proc/bus/input/devices

[..]

I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input8
U: Uniq=
H: Handlers=mouse0 event8
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3

I did some more research. I noticed some remarkable differences between the alps.c drivers in the 2.6 and 3.0 kernels. There are all kinds of functions missing in the 3.0 version, and I am not a kernel developer but it looks to me those missing functions are connected to the fact the ALPS is recognized as a PS/2 mouse in the newer kernel.

See attached file for the output to "diff linux-source-2.6.38/drivers/input/mouse/alps.c linux-3.0/drivers/input/mouse/alps.c"

Please let me know if you need more data.

Changed in linux:
importance: Undecided → Unknown
status: New → Unknown
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
tags: added: unity-2d
description: updated
description: updated
Vladimir Hidalgo (vlad88sv) wrote :

I'm sorry, I tried to run apport, but as I'm trying with 3.0 kernel it's unable to send the report. It just added an unity-2d tag (I don't know why?).

Anyway, with 3.0.0-0300rc7-generic #201107120911 SMP Tue Jul 12 10:15:32 UTC 2011 i686 i686 i386 GNU/Linux I'm able to do vertical scroll again.

$ cat /proc/bus/input/devices
I: Bus=0011 Vendor=0002 Product=0005 Version=0000
N: Name="ImPS/2 Generic Wheel Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input7
U: Uniq=
H: Handlers=mouse2 event7
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103

Vladimir Hidalgo (vlad88sv) wrote :

$ sudo tpconfig --info
Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).
Sensor type: unknown (0).
Geometry: rectangular/landscape/up.
Packets: absolute, 80 packets per second.
Corner taps disabled; no tap gestures.
Edge motion: none.
Z threshold: 6 of 7.
2 button mode; corner tap is right button click.

Sony VAIO VPCEB15EL

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Konstantine Rybnikov (k-bx) wrote :

Fresh Ubuntu 11.04 with latest updates on SONY VAIO VPC-EB46FX, it sees the touchpad tab in gnome settings, but no scroll work.

If some information is still needed -- I'd be happy to give that. If someone of developers can't reproduce the bug -- I don't know, maybe just ssh to my machine and experiment, we'll work on that somehow etc.

Thanks.

Konstantine Rybnikov (k-bx) wrote :

@rvaliant yes, but all I want is vertical scroll (at least) to work on my vaio. It seems that current ubuntu kernel already has this patch https://patchwork.kernel.org/patch/350841/ (that your post mentions), but it still doesn't work on vaio.

Hello, I have a Sony VAIO E series and my touchpad is incorrectly detected. Symptoms include non-existant PS/2 Mouse listed in Pointing Devices, Alps PS/2 Alps Glidepoint listed in Pointing Devices but changes made here do not effect touchpad, no scrolling, unable to disable tap-to-click. I would like to contribute in whatever way possible to reverse engineering the glidepoint, creating or editing a driver, editing the kernel, or whatever is necessary to get this issue sorted. Please let me know what I can do! I await your instructions...

Dmitri (lamukra) wrote :

Sony VAIO VPC-EB1S1E

ALPS touchpad is detected properly and working, except scrolling, gestures and two finger scroll(not sure if it is possible in ubuntu)

It was annoying to be without scrolling, so created a file with name psmouse.conf in:

/etc/modprobe.d

with text inside:

options psmouse proto=imps

Saved and run through commands:

sudo modprobe -r psmouse
sudo modprobe psmouse

After this my ALPS is detected as ImPS/2 Generic Wheel Mouse, but scrolling is working

Also I cannot set/change any setting through configuration utilities
Tried to play with xorg.conf, but nothing helped me in order to make scrolling work, except psmouse.conf file

Thx for helping!

Konstantine Rybnikov (k-bx) wrote :

@Dmitri wow, that helped for me too, thanks! Sony VAIO VPCEB46FX

Dmitri solution worked also for me (Sony Vaio VPCEB3M1E), but with Ubuntu 11.10 i can't configure my touchpad, due to the fact that in the "Mouse and Touchpad" section there is only the mouse option not the other one, but after "patching" with Dmitri solution, i had this option but my touchpad doesn't work!.

Seth Forshee (sforshee) wrote :

I've been working on driver updates to fully support ALPS touchpads. Please take a look at bug 550625 if you would like to test this driver. Thanks!

Vladimir Hidalgo (vlad88sv) wrote :

Thank you very much Seth Forshee, just tested your driver 0.9 in 3.0.0-12-generic #19-Ubuntu SMP Fri Sep 23 21:18:13 UTC 2011 i686 i686 i386 and works perfectly!.

Laptop is Sony VPCEB15E.

Tested reported as good: vertical scroll & horizontal scroll.
Tested and does not work: two finger scroll. (This ALPS in this notebook is multitouch) and left click button stopped from working.

Click on tap is working, also right click button.

Thanks a lot

Thank you very much Seth Forshee, just tested your driver 0.9 in ubuntu
11.04

Laptop is Sony VPCEH15E.

Tested reported as good: vertical scroll, horizontal scroll, two finger
scrolling, left click button & right click button.

But there remains some jitter which is quiet annoying...

Thanks a lot

Gav O'Connor (scalamoosh) wrote :

Hi, Seth. I have also installed your 0.9 driver on my VPCEB3J1E. I have scrolling and tapping working, but 2-finger scrolling doesn't seem to work. Is there any information I could send you to help troubleshoot this problem?

Thanks

Seth Forshee (sforshee) wrote :

On Fri, Oct 07, 2011 at 12:32:21PM -0000, Gav O'Connor wrote:
> Hi, Seth. I have also installed your 0.9 driver on my VPCEB3J1E. I have
> scrolling and tapping working, but 2-finger scrolling doesn't seem to
> work. Is there any information I could send you to help troubleshoot
> this problem?

Two-finger scrolling doesn't work yet for some models, and it's a
feature that will need to be added later on for those models. Thanks for
offering to help, but there's no data needed at this time.

Barry Drake (b-drake) wrote :

I have reported a bug at : https://bugs.launchpad.net/bugs/876386 which is remarkably similar but on a different touchpad and machine. Also, the problem 'came and went'.

Dixon Xavier (dixoncx) wrote :

On Fri, Oct 7, 2011 at 6:44 PM, Seth Forshee <email address hidden>wrote:

> On Fri, Oct 07, 2011 at 12:32:21PM -0000, Gav O'Connor wrote:
> > Hi, Seth. I have also installed your 0.9 driver on my VPCEB3J1E. I have
> > scrolling and tapping working, but 2-finger scrolling doesn't seem to
> > work. Is there any information I could send you to help troubleshoot
> > this problem?
>
> Two-finger scrolling doesn't work yet for some models, and it's a
> feature that will need to be added later on for those models. Thanks for
> offering to help, but there's no data needed at this time.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/565543
>
> Title:
> Alps touchpad detected as ImPS/2 Generic Wheel Mouse(in VAIO E series)
> after the kernel upgrade
>
> Status in The Linux Kernel:
> Confirmed
> Status in Ubuntu Netbook Remix:
> New
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> Initially the ALPS touchpad was detected by the kernel but does not
> support horizontal and vertical support but after the kernel upgrade
> to 10.04 vertical scroll is working but horizontal scroll is not
> working. And the kernel is not detecting the ALPS touchpad and the cat
> /proc/bus/input/devices says it is a PS2 mouse ..
>
> This is seen in sony vaio E series in particular ...
>
> Also Bill in Comment #52 says
> Acer Aspire One 532h (Alps touchpad).
> I booted the distribution from a thumb drive, but once I installed from
> the thumb drive and updated Ubuntu (10.04), I lost the touchpad (works as a
> mouse) ..
> ---
> Architecture: i386
> DistroRelease: Ubuntu 11.04
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
> Package: linux (not installed)
> ProcEnviron:
> LANGUAGE=es_SV:es_SV.UTF-8:es:en_GB:en
> LANG=es_SV.UTF-8
> SHELL=/bin/bash
> Tags: unity-2d natty
> Uname: Linux 3.0.0-0300rc7-generic i686
> UnreportableReason: The running kernel is not an Ubuntu kernel
> UpgradeStatus: Upgraded to natty on 2011-07-05 (26 days ago)
> UserGroups: adm admin audio cdrom fuse lpadmin netdev plugdev sambashare
> vboxusers video
> ---
> Architecture: i386
> DistroRelease: Ubuntu 11.04
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100224.1)
> Package: linux (not installed)
> ProcEnviron:
> LANGUAGE=es_SV:es_SV.UTF-8:es:en_GB:en
> LANG=es_SV.UTF-8
> SHELL=/bin/bash
> Tags: unity-2d natty
> Uname: Linux 3.0.0-0300rc7-generic i686
> UnreportableReason: The running kernel is not an Ubuntu kernel
> UpgradeStatus: Upgraded to natty on 2011-07-05 (26 days ago)
> UserGroups: adm admin audio cdrom fuse lpadmin netdev plugdev sambashare
> vboxusers video
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/565543/+subscriptions
>

Seth Forshee ,

Your driver fixed my touchpad problem in ubuntu 11.04.
But after installing installing fresh ubuntu 11.10, the same comes
again...:(
My question is, can i use the same driver here in ubuntu 11.10 also..?

Thanks in advance..

--
Regards,
   . : D i X O N : .

Kent Baxley (kentb) wrote :

@Dixon,

You will have to re-apply the drive if you installed a fresh 11.10. The driver will work on that release.

Dixon Xavier (dixoncx) wrote :

@Kent Baxley,

Thanks for the response,
i will try it in ubuntu 11.10 ...
--
. : D i X O N : .

Dixon Xavier (dixoncx) wrote :

I installed driver 0.10 in Ubuntu 11.10 after upgrading dkms package.
my system: Sony Vaio VPCEH15

Working fine:
  horizontal scrolling
  vertical scrolling
  2 finger scrolling
  left button and
  right button

Thanks....!!!

And my " xinput list " command gives:
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer
(2)]
⎜ ↳ DualPoint Stick id=13 [slave pointer
(2)]
⎜ ↳ AlpsPS/2 ALPS DualPoint TouchPad id=14 [slave pointer
(2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard
(3)]
    ↳ Power Button id=6 [slave keyboard
(3)]
    ↳ Video Bus id=7 [slave keyboard
(3)]
    ↳ Sony Vaio Keys id=8 [slave keyboard
(3)]
    ↳ Power Button id=9 [slave keyboard
(3)]
    ↳ Sony Visual Communication Camer id=10 [slave keyboard
(3)]
    ↳ AT Translated Set 2 keyboard id=12 [slave keyboard
(3)]

DualPoint Stick & AlpsPS/2 ALPS DualPoint TouchPad ??
Is that anything to worry about ??

--
. : D i X O N : .

Seth Forshee (sforshee) wrote :

On Sat, Oct 22, 2011 at 03:23:50PM -0000, Dixon wrote:
> DualPoint Stick & AlpsPS/2 ALPS DualPoint TouchPad ??
> Is that anything to worry about ??

No, the ALPS driver always registers two devices, even when the
trackstick is not present. It won't cause any problems.

Richard B (rich-fatbunny) wrote :

Ubuntu 12.04 Precise Beta 2 (Linux sangheili 3.2.0-21-generic #34-Ubuntu SMP Fri Mar 30 04:25:35 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux), on a Sony VPCSA laptop. xinput reports the touchpad as a "ImPS/2 Generic Wheel Mouse".

Changed in linux:
status: Confirmed → Fix Released
Marcin (iim1) wrote :

I have the same bug on my Acer Aspire V3 771G:
I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input15
U: Uniq=
H: Handlers=mouse1 event15
B: PROP=0
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3
I use Ubuntu 13.04 with 3.8.0-23 kernel.

description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.